Font

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.write
Class Font

    java.lang.Object
      jxl.biff.RecordData
          jxl.biff.WritableRecordData
              jxl.biff.FontRecord
                  jxl.write.biff.WritableFontRecord
                      jxl.write.WritableFont
                          jxl.write.Font

All Implemented Interfaces:
  jxl.biff.ByteData, Font

Deprecated. Renamed to writable font

    public class Font

extends WritableFont

A class which is instantiated when the user application wishes to specify the font for a particular cell

Nested Class Summary

Nested classes/interfaces inherited from class jxl.write.WritableFont
`WritableFont.FontName`

Field Summary
`static WritableFont.FontName` | `ARIAL` Deprecated.
`static jxl.write.WritableFont.BoldStyle` | `BOLD` Deprecated.
`static UnderlineStyle` | `DOUBLE` Deprecated.
`static UnderlineStyle` | `DOUBLE_ACCOUNTING` Deprecated.
`static jxl.write.WritableFont.BoldStyle` | `NO_BOLD` Deprecated.
`static UnderlineStyle` | `NO_UNDERLINE` Deprecated.
`static ScriptStyle` | `NORMAL_SCRIPT` Deprecated.
`static UnderlineStyle` | `SINGLE` Deprecated.
`static UnderlineStyle` | `SINGLE_ACCOUNTING` Deprecated.
`static ScriptStyle` | `SUBSCRIPT` Deprecated.
`static ScriptStyle` | `SUPERSCRIPT` Deprecated.
`static WritableFont.FontName` | `TIMES` Deprecated.

Fields inherited from class jxl.write.WritableFont
`COURIER, DEFAULT_POINT_SIZE, TAHOMA`

Fields inherited from class jxl.biff.FontRecord
`biff7`

Constructor Summary
`Font(WritableFont.FontName fn)` Deprecated. Use jxl.write.WritableFont
`Font(WritableFont.FontName fn, int ps)` Deprecated. use jxl.write.WritableFont
`Font(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs)` Deprecated. use jxl.write.WritableFont
`Font(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean italic)` Deprecated. use jxl.write.WritableFont
`Font(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us)` Deprecated. use jxl.write.WritableFont
`Font(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us, Colour c)` Deprecated. use jxl.write.WritableFont
`Font(WritableFont.FontName fn, int ps, jxl.write.WritableFont.BoldStyle bs, boolean it, UnderlineStyle us, Colour c, ScriptStyle ss)` Deprecated. use jxl.write.WritableFont

Method Summary

Methods inherited from class jxl.write.WritableFont
`createFont, isStruckout, setBoldStyle, setColour, setItalic, setPointSize, setScriptStyle, setStruckout, setUnderlineStyle`

Methods inherited from class jxl.biff.FontRecord
`equals, getBoldWeight, getColour, getData, getFontIndex, getName, getPointSize, getScriptStyle, getUnderlineStyle, hashCode, initialize, isInitialized, isItalic, uninitialize`

Methods inherited from class jxl.biff.WritableRecordData
`getBytes`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARIAL

    public static final WritableFont.FontName ARIAL

  Deprecated.
  Objects created with this font name will be rendered within Excel as ARIAL fonts

### TIMES

    public static final WritableFont.FontName TIMES

  Deprecated.
  Objects created with this font name will be rendered within Excel as TIMES fonts

### NO_BOLD

    public static final jxl.write.WritableFont.BoldStyle NO_BOLD

  Deprecated.
  Indicates that this font should not be presented as bold

### BOLD

    public static final jxl.write.WritableFont.BoldStyle BOLD

  Deprecated.
  Indicates that this font should be presented in a BOLD style

### NO_UNDERLINE

    public static final UnderlineStyle NO_UNDERLINE

  Deprecated.

### SINGLE

    public static final UnderlineStyle SINGLE

  Deprecated.

### DOUBLE

    public static final UnderlineStyle DOUBLE

  Deprecated.

### SINGLE_ACCOUNTING

    public static final UnderlineStyle SINGLE_ACCOUNTING

  Deprecated.

### DOUBLE_ACCOUNTING

    public static final UnderlineStyle DOUBLE_ACCOUNTING

  Deprecated.

### NORMAL_SCRIPT

    public static final ScriptStyle NORMAL_SCRIPT

  Deprecated.

### SUPERSCRIPT

    public static final ScriptStyle SUPERSCRIPT

  Deprecated.

### SUBSCRIPT

    public static final ScriptStyle SUBSCRIPT

  Deprecated.

Constructor Detail

### Font

    public Font(WritableFont.FontName fn)

  Deprecated. Use jxl.write.WritableFont

  Creates a default font, vanilla font of the specified face and with default point size.

  Parameters:
    `fn` - the font name

### Font

    public Font(WritableFont.FontName fn,
                int ps)

  Deprecated. use jxl.write.WritableFont

  Constructs of font of the specified face and of size given by the specified point size

  Parameters:
    `ps` - the point size
    `fn` - the font name

### Font

    public Font(WritableFont.FontName fn,
                int ps,
                jxl.write.WritableFont.BoldStyle bs)

  Deprecated. use jxl.write.WritableFont

  Creates a font of the specified face, point size and bold style

  Parameters:
    `ps` - the point size
    `bs` - the bold style
    `fn` - the font name

### Font

    public Font(WritableFont.FontName fn,
                int ps,
                jxl.write.WritableFont.BoldStyle bs,
                boolean italic)

  Deprecated. use jxl.write.WritableFont

  Creates a font of the specified face, point size, bold weight and italicised option.

  Parameters:
    `ps` - the point size
    `bs` - the bold style
    `italic` - italic flag
    `fn` - the font name

### Font

    public Font(WritableFont.FontName fn,
                int ps,
                jxl.write.WritableFont.BoldStyle bs,
                boolean it,
                UnderlineStyle us)

  Deprecated. use jxl.write.WritableFont

  Creates a font of the specified face, point size, bold weight, italicisation and underline style

  Parameters:
    `ps` - the point size
    `bs` - the bold style
    `us` - underscore flag
    `fn` - font name
    `it` - italic flag

### Font

    public Font(WritableFont.FontName fn,
                int ps,
                jxl.write.WritableFont.BoldStyle bs,
                boolean it,
                UnderlineStyle us,
                Colour c)

  Deprecated. use jxl.write.WritableFont

  Creates a font of the specified face, point size, bold style, italicisation, underline style and colour

  Parameters:
    `ps` - the point size
    `bs` - the bold style
    `us` - the underline style
    `fn` - the font name
    `it` - italic flag
    `c` - the colour

### Font

    public Font(WritableFont.FontName fn,
                int ps,
                jxl.write.WritableFont.BoldStyle bs,
                boolean it,
                UnderlineStyle us,
                Colour c,
                ScriptStyle ss)

  Deprecated. use jxl.write.WritableFont

  Creates a font of the specified face, point size, bold style, italicisation, underline style, colour, and script style (superscript/subscript)

  Parameters:
    `ps` - the point size
    `bs` - the bold style
    `us` - the underline style
    `fn` - the font name
    `it` - the italic flag
    `c` - the colour
    `ss` - the script style

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD